Simple Portal

Support => Install and Upgrade => Topic started by: Teetee on February 10, 2015, 12:21:53 PM

Title: can't install
Post by: Teetee on February 10, 2015, 12:21:53 PM
Firstly I get this error:
Code: [Select]
1. Execute Modification smf2/install.xml Modification parse error
  2. Execute Modification smf2/install.xml Modification parse error

Then when I go to "Maintenance" and delete the file caches and my caches and go back installing it this error doesnt occur

but this does when I press "install"
Code: [Select]
You cannot download or install new packages because the Packages directory or one of the files in it are not writable!
then when I try to go back installing it gives same error as I said first.

P.S Tried that "temp" folder too with 0777 permissions but still nop.
Title: Re: can't install
Post by: ♦ Ninja ZX-10RR ♦ on February 10, 2015, 03:29:29 PM
Hi and welcome to SimplePortal! :)
What are your permissions on the Packages folder? Did you try to set them to 755? What happens if you do?

P.s.: no need to post in the shoutbox, we see the new topics ;)
Title: Re: can't install
Post by: Teetee on February 10, 2015, 05:24:06 PM
Hi and welcome to SimplePortal! :)
What are your permissions on the Packages folder? Did you try to set them to 755? What happens if you do?

P.s.: no need to post in the shoutbox, we see the new topics ;)
I tried that too
Title: Re: can't install
Post by: 420connect on February 10, 2015, 07:37:39 PM
P.S Tried that "temp" folder too with 0777 permissions but still nop.

Does that mean you added a new folder called "temp" to your "Packages" folder?

just making sure I'm understanding that correctly..  also if your "Packages" folder 755 too?

Also, this may sound silly but you could even try deleting the empty temp folder, then recreating it - I'm sure that's fixed things in the past for me!


Is Simple Portal the first modification you're installing or have you been able to install other mods previously with no problem?

Title: Re: can't install
Post by: Teetee on February 10, 2015, 10:14:36 PM
P.S Tried that "temp" folder too with 0777 permissions but still nop.

Does that mean you added a new folder called "temp" to your "Packages" folder?

just making sure I'm understanding that correctly..  also if your "Packages" folder 755 too?

Also, this may sound silly but you could even try deleting the empty temp folder, then recreating it - I'm sure that's fixed things in the past for me!


Is Simple Portal the first modification you're installing or have you been able to install other mods previously with no problem?

temp folder is auto-deleted and therefore needs to be created and everytime created I must assign 077 permissions to specific folder and Packages is 0777 now.
Title: Re: can't install
Post by: ♦ Ninja ZX-10RR ♦ on February 10, 2015, 11:26:43 PM
What host are you on? Do you have any other modification on your forum? It could a CHOWN permissions problem, not the usual CHMOD, CHOWN are assigned by your host, try to ask them if you do have full control over your files and full CHOWN permissions on them - if not, ask them to give them to you. And even if it's not that... Asking doesn't hurt :)
Title: Re: can't install
Post by: 420connect on March 07, 2015, 01:15:07 PM
If this is still an issue, this might help?

http://simpleportal.net/index.php?topic=13762.msg68442#msg68442
Title: Re: can't install
Post by: ♦ Ninja ZX-10RR ♦ on March 07, 2015, 02:21:10 PM
He already stated he had tried that. Still curious whether he did ask his host or not though.